Skip to main content

Get Shipment Details API:

Usage: Use this API to Get Shipment Details.

Basic Information

NAMEDETAILS
Usage:Non - Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/shipment_details?shipment_id=1111111111
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/shipment_details?shipment_id=1111111111' \ 
--header 'Content-Type: application/json' \
--header 'rapidshyp-token:'
Request ParametersRequiredRemarkValidation
{
orderIdMandatoryOrder ID created on Rapid ShypShould be a valid order ID
Channel_order_idMandatoryOrder ID from the channel; if it is default, then same as the orderIdShould be a valid order ID
}

Response:

JSON
{
"success": true,
"msg": "Fetched successfully.",
"shipment_details": {
"shipment_id": "1111111111",
"shipment_creation_date": "12-08-2025 16:01:42",
"total_shipment_value": 500.0,
"collectable_amount": 500.0,
"warehouse_contact_name": "ABHJIBA",
"warehouse_email": "abc@gmail.com",
"warehouse_contact": "9999999999",
"warehouse_address": "ABXVSJDHDHDHJSD",
"warehouse_address_2": "HSHDHDHD",
"warehouse_pin_code": "201301",
"warehouse_city": "NOIDA",
"warehouse_state": "UTTAR PRADESH",
"warehouse_country": "INDIA",
"rto_warehouse_contact_name": "ABHJIBA",
"rto_warehouse_email": "abc@gmail.com",
"rto_warehouse_contact": "9999999999",
"rto_warehouse_address": "ABXVSJDHDHDHJSD",
"rto_warehouse_address_2": "HSHDHDHD",
"rto_warehouse_pin_code": "201301",
"rto_warehouse_city": "NOIDA",
"rto_warehouse_state": "UTTAR PRADESH",
"rto_warehouse_country": "INDIA",
"length": 20.0,
"breadth": 10.0,
"height": 5.0,
"dead_weight": 1600.0,
"applied_weight": 1600.0,
"invoice_number": "",
"shipment_status": "ASSIGNED",
"assignment_priority_applied": null,
"assignment_rule_applied": null,
"awb": "1111111111111",
"courier_name": "DTDC",
"child_courier_name": "DTDC Surface 2 Kg",
"awb_assigned_date": "17-09-2025 10:57:30",
"final_freights": {
"total_freight_forward": 88.78,
"total_cod_charges": 23.36,
"total_rto_freight": 0.0,
"total_extra_fwd_freights": 0.0,
"total_extra_rto_freights": 0.0,
"total_insurance_charge": 0.0,
"total_freight": 112.14
},
"current_courier_edd": null,
"current_tracking_status_code": null,
"current_tracking_status_desc": null,
"current_status_date": "17-09-2025 10:57:30",
"latest_ndr_reason_code": null,
"latest_ndr_reason_desc": null,
"latest_ndr_date": null
}
}